Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jun 2022 11:00:51 +0000

Hi Nihal Alsaiari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I am trying to apply for a gift voucher above SAR 400. But it’s not accepted. As you can see in my cart. I stopped payment because of promo code HOLIDAY is not accepted. while I received a message to use it. 
This is the second time I am facing this problem I tried last week and then accepted next day. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4415285